ASGTuple
Keywords: uk.ac.bbk.dcs.automed.qproc.iql.ASGTuple class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.bbk.dcs.automed.qproc.iql
Class ASGTuple

    java.lang.Object
      uk.ac.bbk.dcs.automed.qproc.iql.ASG
          uk.ac.bbk.dcs.automed.qproc.iql.ASGTuple

All Implemented Interfaces:
  java.io.Serializable, PersistentObject

    public class ASGTuple

extends ASG

See Also:
  Serialized Form

Field Summary

Fields inherited from class uk.ac.bbk.dcs.automed.qproc.iql.ASG
`logger, root`

Constructor Summary
`ASGTuple(Cell n)`
`ASGTuple(java.lang.String s)`

Method Summary
`int` | `getCardinality()`
`java.util.ArrayList` | `getTupleItems()`
`static void` | `main(java.lang.String[] args)`

Methods inherited from class uk.ac.bbk.dcs.automed.qproc.iql.ASG
`annotate, copyOfASG, emptyBag, emptyCollection, emptyList, emptySet, equals, explore, explore, finalize, formattedString, formattedString, formattedString, fromASG, fromASG, fromASGCollection, fromASGCollection, fromASGList, fromASGList, fromASGTuple, fromASGTuple, getCollectionSize, getColType, getCreated, getDestroyed, getKey, getPersistentAttributes, isDAG, isDAG, listOfSchemes, listOfSchemes, print, print, print, print, println, println, root, toASGCollection, toASGList, toASGTuple, toString, toStringOBID, unify`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ASGTuple

    public ASGTuple(Cell n)

### ASGTuple

    public ASGTuple(java.lang.String s)
             throws ParseException

Throws:
  `ParseException`

Method Detail

### getCardinality

    public int getCardinality()

### getTupleItems

    public java.util.ArrayList getTupleItems()

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD